#2 Spew of useless error messages

closed
None
5
2001-10-12
2001-05-22
Guy Stone
No

I'm running RedHat 7.0 into which I've dropped a kernel.org 2.2.19 kernel, then applied the UDF
0.93 patches. The CDRW is a NEC 7500A. When I mount it, I get error messages for awhile, but
when they stop I can read from the drive. Looks like the code isn't waiting for the drive to get
ready before it starts complaining about errors. Here's what I get.

May 19 16:36:38 stoneguy3 kernel: hdc: command error: status=0x41 { DriveReady Error }
May 19 16:36:38 stoneguy3 kernel: hdc: command error: error=0x54
May 19 16:36:38 stoneguy3 kernel: end_request: I/O error, dev 16:00 (hdc), sector 1346256
May 19 16:36:38 stoneguy3 kernel: ATAPI device hdc:
May 19 16:36:38 stoneguy3 kernel: Error: Illegal request -- (Sense key=0x05)
May 19 16:36:38 stoneguy3 kernel: Illegal mode for this track or incompatible medium --
(asc=0x64, ascq=0x00)
May 19 16:36:38 stoneguy3 kernel: hdc: command error: status=0x41 { DriveReady Error }
May 19 16:36:38 stoneguy3 kernel: hdc: command error: error=0x54
May 19 16:36:38 stoneguy3 kernel: end_request: I/O error, dev 16:00 (hdc), sector 1345232
May 19 16:36:38 stoneguy3 kernel: ATAPI device hdc:
May 19 16:36:38 stoneguy3 kernel: Error: Illegal request -- (Sense key=0x05)
May 19 16:36:38 stoneguy3 kernel: Illegal mode for this track or incompatible medium --
(asc=0x64, ascq=0x00)
May 19 16:36:38 stoneguy3 kernel: hdc: command error: status=0x51 { DriveReady SeekComplete
Error }
May 19 16:36:38 stoneguy3 kernel: hdc: command error: error=0x54
May 19 16:36:38 stoneguy3 kernel: end_request: I/O error, dev 16:00 (hdc), sector 1345008
May 19 16:36:38 stoneguy3 kernel: ATAPI device hdc:
May 19 16:36:38 stoneguy3 kernel: Error: Illegal request -- (Sense key=0x05)
May 19 16:36:38 stoneguy3 kernel: Illegal mode for this track or incompatible medium --
(asc=0x64, ascq=0x00)
May 19 16:36:38 stoneguy3 kernel: hdc: command error: status=0x41 { DriveReady Error }
May 19 16:36:38 stoneguy3 kernel: hdc: command error: error=0x54
May 19 16:36:38 stoneguy3 kernel: end_request: I/O error, dev 16:00 (hdc), sector 1346248
May 19 16:36:38 stoneguy3 kernel: ATAPI device hdc:
May 19 16:36:38 stoneguy3 kernel: Error: Illegal request -- (Sense key=0x05)
May 19 16:36:38 stoneguy3 kernel: Illegal mode for this track or incompatible medium --
(asc=0x64, ascq=0x00)
May 19 16:36:38 stoneguy3 kernel: hdc: command error: status=0x41 { DriveReady Error }
May 19 16:36:38 stoneguy3 kernel: hdc: command error: error=0x54
May 19 16:36:38 stoneguy3 kernel: end_request: I/O error, dev 16:00 (hdc), sector 1345224
May 19 16:36:38 stoneguy3 kernel: ATAPI device hdc:
May 19 16:36:38 stoneguy3 kernel: Error: Illegal request -- (Sense key=0x05)
May 19 16:36:38 stoneguy3 kernel: Illegal mode for this track or incompatible medium --
(asc=0x64, ascq=0x00)
May 19 16:36:38 stoneguy3 kernel: hdc: command error: status=0x51 { DriveReady SeekComplete
Error }
May 19 16:36:38 stoneguy3 kernel: hdc: command error: error=0x54
May 19 16:36:38 stoneguy3 kernel: end_request: I/O error, dev 16:00 (hdc), sector 1345000
May 19 16:36:38 stoneguy3 kernel: ATAPI device hdc:
May 19 16:36:38 stoneguy3 kernel: Error: Illegal request -- (Sense key=0x05)
May 19 16:36:38 stoneguy3 kernel: Illegal mode for this track or incompatible medium --
(asc=0x64, ascq=0x00)
May 19 16:36:38 stoneguy3 kernel: hdc: command error: status=0x51 { DriveReady SeekComplete
Error }
May 19 16:36:38 stoneguy3 kernel: hdc: command error: error=0x54
May 19 16:36:38 stoneguy3 kernel: end_request: I/O error, dev 16:00 (hdc), sector 1345656
May 19 16:36:38 stoneguy3 kernel: ATAPI device hdc:
May 19 16:36:38 stoneguy3 kernel: Error: Illegal request -- (Sense key=0x05)
May 19 16:36:38 stoneguy3 kernel: Illegal mode for this track or incompatible medium --
(asc=0x64, ascq=0x00)
May 19 16:36:38 stoneguy3 kernel: hdc: command error: status=0x41 { DriveReady Error }
May 19 16:36:38 stoneguy3 kernel: hdc: command error: error=0x54
May 19 16:36:38 stoneguy3 kernel: end_request: I/O error, dev 16:00 (hdc), sector 1344632
May 19 16:36:38 stoneguy3 kernel: ATAPI device hdc:
May 19 16:36:38 stoneguy3 kernel: Error: Illegal request -- (Sense key=0x05)
May 19 16:36:38 stoneguy3 kernel: Illegal mode for this track or incompatible medium --
(asc=0x64, ascq=0x00)
May 19 16:36:38 stoneguy3 kernel: hdc: command error: status=0x51 { DriveReady SeekComplete
Error }
May 19 16:36:38 stoneguy3 kernel: hdc: command error: error=0x54
May 19 16:36:38 stoneguy3 kernel: end_request: I/O error, dev 16:00 (hdc), sector 1344408
May 19 16:36:38 stoneguy3 kernel: ATAPI device hdc:
May 19 16:36:38 stoneguy3 kernel: Error: Illegal request -- (Sense key=0x05)
May 19 16:36:38 stoneguy3 kernel: Illegal mode for this track or incompatible medium --
(asc=0x64, ascq=0x00)
May 19 16:36:38 stoneguy3 kernel: hdc: command error: status=0x41 { DriveReady Error }
May 19 16:36:38 stoneguy3 kernel: hdc: command error: error=0x54
May 19 16:36:38 stoneguy3 kernel: end_request: I/O error, dev 16:00 (hdc), sector 1345648
May 19 16:36:38 stoneguy3 kernel: ATAPI device hdc:
May 19 16:36:38 stoneguy3 kernel: Error: Illegal request -- (Sense key=0x05)
May 19 16:36:38 stoneguy3 kernel: Illegal mode for this track or incompatible medium --
(asc=0x64, ascq=0x00)
May 19 16:36:38 stoneguy3 kernel: hdc: command error: status=0x41 { DriveReady Error }
May 19 16:36:38 stoneguy3 kernel: hdc: command error: error=0x54
May 19 16:36:38 stoneguy3 kernel: end_request: I/O error, dev 16:00 (hdc), sector 1344624
May 19 16:36:38 stoneguy3 kernel: ATAPI device hdc:
May 19 16:36:38 stoneguy3 kernel: Error: Illegal request -- (Sense key=0x05)
May 19 16:36:38 stoneguy3 kernel: Illegal mode for this track or incompatible medium --
(asc=0x64, ascq=0x00)
May 19 16:36:38 stoneguy3 kernel: hdc: command error: status=0x51 { DriveReady SeekComplete
Error }
May 19 16:36:38 stoneguy3 kernel: hdc: command error: error=0x54
May 19 16:36:38 stoneguy3 kernel: end_request: I/O error, dev 16:00 (hdc), sector 1344400
May 19 16:36:38 stoneguy3 kernel: ATAPI device hdc:
May 19 16:36:38 stoneguy3 kernel: Error: Illegal request -- (Sense key=0x05)
May 19 16:36:38 stoneguy3 kernel: Illegal mode for this track or incompatible medium --
(asc=0x64, ascq=0x00)
May 19 16:36:38 stoneguy3 kernel: hdc: command error: status=0x41 { DriveReady Error }
May 19 16:36:38 stoneguy3 kernel: hdc: command error: error=0x54
May 19 16:36:38 stoneguy3 kernel: end_request: I/O error, dev 16:00 (hdc), sector 1104644
May 19 16:36:38 stoneguy3 kernel: ATAPI device hdc:
May 19 16:36:38 stoneguy3 kernel: Error: Illegal request -- (Sense key=0x05)
May 19 16:36:38 stoneguy3 kernel: Illegal mode for this track or incompatible medium --
(asc=0x64, ascq=0x00)
May 19 16:36:39 stoneguy3 kernel: UDF-fs INFO UDF 0.9.3-ro (2000/12/25) Mounting volume
'Vendors95', timestamp 2001/04/12 20:37 (1f10)

Discussion

  • Ben Fennema

    Ben Fennema - 2001-06-01

    Logged In: YES
    user_id=518

    Don't look at me. It's the ATAPI driver thats complaining so
    verbosly about reading beyond the end of the device (which
    happens when trying to figure out the last block of the
    device). =) Technically, the last block is only needed when
    reading/writing from CDR, and writing to CDRW. So the
    correct solution is to not look for the last block unless
    its required.

     
  • Ben Fennema

    Ben Fennema - 2001-06-01
    • assigned_to: nobody --> bfennema
     
  • Guy Stone

    Guy Stone - 2001-06-14

    Logged In: YES
    user_id=212926

    Ah, yes - thanks for the pointer. I see now that the cause is VERBOSE_IDE_CD_ERRORS defaulting to ON.
    You're indeed innocent this time :)

     
  • Ben Fennema

    Ben Fennema - 2001-10-12
    • status: open --> closed
     
  • Ben Fennema

    Ben Fennema - 2001-10-12

    Logged In: YES
    user_id=518

    The lastblock reading errors shouldn't occure anymore, even
    with VERBOSE_IDE_CD_ERRORS enabled.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks